package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterBuyerDao;
import com.heyu.api.data.entity.vv.VvPromoterBuyerEntity;
import com.heyu.api.data.service.vv.VvPromoterBuyerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterBuyerServiceImpl extends ServiceImpl<VvPromoterBuyerDao, VvPromoterBuyerEntity> implements VvPromoterBuyerService {


    @Autowired
	private VvPromoterBuyerDao vvPromoterBuyerDao;



	@Override
	public VvPromoterBuyerEntity selectVvPromoterBuyerById(Long id){
		return vvPromoterBuyerDao.selectVvPromoterBuyerById(id);
	}



	@Override
	public Long insertVvPromoterBuyer(VvPromoterBuyerEntity vvPromoterBuyer){
		return vvPromoterBuyerDao.insertVvPromoterBuyer(vvPromoterBuyer);
	}



	@Override
	public Long insertOrUpdateVvPromoterBuyer(VvPromoterBuyerEntity vvPromoterBuyer){
		return vvPromoterBuyerDao.insertOrUpdateVvPromoterBuyer(vvPromoterBuyer);
	}



	@Override
	public int updateVvPromoterBuyerById(VvPromoterBuyerEntity vvPromoterBuyer){
		return vvPromoterBuyerDao.updateVvPromoterBuyerById(vvPromoterBuyer);
	}



	@Override
	public int updateCoverVvPromoterBuyerById(VvPromoterBuyerEntity vvPromoterBuyer){
		return vvPromoterBuyerDao.updateCoverVvPromoterBuyerById(vvPromoterBuyer);
	}



	@Override
	public int deleteVvPromoterBuyerById(Long id){
		return vvPromoterBuyerDao.deleteVvPromoterBuyerById(id);
	}



}
